Legend:
! - Major new feature added
+ - Minor new feature added
* - Feature changed or improved
- - Bug fixed

Version 3.2.0.2780 Beta - 22.03.2016
+ Nomad is now HighDPI aware
+ Archives: Preseve "Zone.Identifier" alternate data stream when extracting from archive
+ CmdPromptTabPlugin: Right-click console output selection and context menu with corresponding actions added
+ CmdPromptTabPlugin: Auto-suggest from history and current directory added
+ CmdPromptTabPlugin: Commands history added
+ CmdPromptTabPlugin: Standard actions processing added
* CmdPromptTabPlugin: Substitution and suggestion rewritten. Now supports multiple substitutions (cycle with Tab).
+ Plugins: Standard actions (Cut, Copy, Paste, etc) filtering for UI plugins
- Bugfix: Rare "An item with the same key has already been added" exception while searching
- Bugfix: Very rare NullReferenceException when browsing folders in details view
- Bugfix: Rare DirectoryNotFoundException when calculating folder size of already deleted folder
- Bugfix: Rare DirectoryNotFoundException when populating already deleted folder in folder tree
- Bugfix: Deadlock when deleting current open folder from outside console
- Bugfix: Very rare InvalidOperationException when updating CmdPromptTabPlugin tab caption
- Bugfix: Very rare NullReferenceException when closing cmd.exe via Task Manager
- Bugfix: Native plugins won't load when only version 4 of .net framework installed
- Bugfix: LF-only line breaks processed incorrectly in CmdPromptTabPlugin
- Bug #157 finally fixed (Very rare threading issue when opening archive on machine with 4 cores)

Version 3.2.0.2745 Beta - 22.10.2015
+ FTP: Added ability to update create and modify times on remote servers (via MFCT and MFMT commands)
* CmdPromptTabPlugin: Output processing in CommandProcessorController improved
- Bugfix: ArgumentNullException when extracting one file from zip archives with non-latin file names
- Bugfix: ArgumentOutOfRangeException when displaying some malformed icons
- Bugfix: Very rare InvalidOperationException when refreshing folder contents
- Regression bugfix: Rare NotSupportedException while checking drive readiness
- Bugfix: CmdPromptTabPlugin does not work on 32-bit OSes
- Bugfix: Exception on opening Options dialog when Themes folder absent
- Regression bugfix: Constant NetworkException when icon overlays enabled and "Server" service is not started
- Bugfix: Dead-lock after in-place renaming folder in folders tree

Version 3.2.0.2730 Beta - 07.10.2015
! Archives: Added support for rar 5.0 archives (using unrar.dll for view and extract rar archives)
! VirusTotalPlugin: VirusTotal.com plugin added with ability to check suspicious files online
+ FTP: Differrent time zones support added
+ Archives: Added ability to detect oem encoding for some zip files
+ Archives: Ability to create and update Wim archives unblocked
+ Archives: Added ability to update file date, time and attributes inside archives (7z at the moment)
+ Archives: Added ability to rename files inside archives (7z at the moment)
+ Plugins: Many new internal interfaces published for custom plugins developers
+ Plugins: Custom plugins can declare other plugins dependencies now
+ Plugins: Added ability to show custom plugin option sections in options dialog
+ Plugins: Saving plugin setting with other application settings
+ Plugins: Added ability to configure plugins with separate .config file
+ File copying: Elevation support when copying NTFS security permissions
+ File copying: No buffering support for sync and async modes file copy
+ File copying: Verify support for append and resume
+ Folder comparison options now preserved
+ Unix permissions property added
+ Ability to login to network shares with credentials other than default windows credentials 
+ Custom plugin dependencies support in options dialog
+ New option - Open new tab right after active tab
+ Czech localization added (thanks to Jakub Vít)
+ Show external plugin files as links in options dialog
+ Show tooltips for plug-in assemblies and file dependencies in options dialog
+ Switch to ftps when plain ftp is prohibited by server.
+ CmdLinePlugin: Persistent combo box history added
+ CmdLinePlugin: Showing how to use configure plug-in functionality
+ CmdPromptTabPlugin: Added ability to interrupt long execution with ctrl+c
+ CmdPromptTabPlugin: Command prompt tabs persist between runs and can be bookmarked now
+ CmdPromptTabPlugin: Settings with visible section in options dialog added
+ CmdPromptTabPlugin: Text selection support in command prompt
+ CmdPromptTabPlugin: Files and folders substitution via Tab press
* Archives: SevenZip support updated to the latest version (9.32)
* Archives: Improved elevating support for SevenZip archives
* Archives: Massive pack improvements for non-local files, it is possible to pack file from one archive to another
* File copying: a lot of internal changes and optimizations
* Comparing folders improved with more options and in general it is more reliable now
* Ejecting volumes via shell context menus no longer blocked
* Restore selection from clipboard improved (wildcards support, for example)
* Keyboard layout indication in password text boxes now working properly in Win8+
* Pasting images, text and html formats from clipboard improved
* Select folder dialog improved with many small changes and now is more usable
* TotalCmd archive plugins (*.wcx) support refactored to use plugins infrastructure
* TotalCmd plug-ins (*.w?x) installation improved
* Populating wfx plugins via plugins framework (ability to enable and disable wfx plugins in options)
* Available wdx plugins populating improved greatly
* Check for updates dialog now flashes when in background
* Using new online GetVersionService in check for updates dialog
* Removed unwanted tooltips popup after focusing item
* Tooltip hiding in list view improved (less frequent hide calls and respect mouse wheel)
* Navigation Link now also focus corresponding item in far panel
* Shell file system support improved
* Using STA background thread to get item tooltips now (good for some specific shell namespace items)
* Tab bookmark storing reworked to remember custom plugin tabs in future
* Icon extraction in improved yet again to be more compatible (using previous algorithm first). 
* Icons and thumbnail extraction queue optimized, always trying to extract currently visible items first
* Exact-fit items removed from auto-complete lists
* Quick find and highlighting found items improved in list view
* Name filters parsing improved (*, **, etc)
* Right-click selection improved (do not skip items with fast cursor move)
* Always select previous tab wneh newly added tab closed (even for tabs created by plug-ins)
* Using physical sector size instead of cluster size when wiping files
* Home and End keys behavior changed
* CmdPromptTabPlugin: Command prompt window is almost flicker-free now
* CmdPromptTabPlugin: Processing console input improved greatly and more consistent now
* CmdPromptTabPlugin: Displaying console output improved greatly with encodings support, unicode and more
* CmdPromptTabPlugin: Pasting from clipboard improve
- Bugfix: Initial setup dialog won't appear on clean machine
- Bugfix: Rare InvalidCastException exception when opening options with non-standard theme set
- Bugfix: InvalidOperationException when trying to browse FTP through HTTP proxy
- Bugfix: Workaround for "The remote server returned an error: 227 Entering Passive Mode (x,x,x,x,x,x)" error
- Bugfix: Rare ArgumentNullException when starting external tool
- Bugfix: Updating attributes of file with RO attribute set can reset attributes instead in some conditions
- Bugfix: & symbol missing in the last folder breadcrumb part after folder refresh
- Bugfix: Thumbnail images mirrored vertically on some machines
- Bugfix: Exception when opening bookmark and option dialogs when there is no valid IconSet.resources file
- Bugfix: InvalidEnumException when skipping file that cannot be opened for packing
- Bugfix: Infinite search when using IFilter and one of the files can only be partially filtered
- Bugfix: Unable to create Tar archives with folders
- Bugfix: Unable to delete from wcx archives, when wcx plugin in unicode
- Bugfix: Exception on start when registry.wfx plugin disabled in options
- Bugfix: "Access denied" exception when closing command processor tab
- Bugfix: Silent crash when using drag-n-drop or clipboard for copying and moving files on some systems
- Bugfix: NullReferenceException when browsing some specific shell namespace folders
- Bugfix: ArgumentException when trying to initialize some IFilter with specific files
- Bugfix: Very rare "Unable to cast object of type 'Byte[]' to type 'String'" when creating a new file.
- Bugfix: Very rare "The data area passed to a system call is too small" when trying to update volume free space
- Bugfix: Rare ArgumentOutOfRange exception when extracting icons
- Bugfix: Unhandled exception when trying to go to some folders via select folder dialog
- Bugfix: Very rare ArgumentOutOfRange error when opening item context menu
- Bugfix: Unhandled exception dialog is shown when invalid regular expression entered in filter dialog
- Bugfix: Unhandled exception dialog is shown when invalid regular expression entered in search dialog
- Bugfix: DDE error when clicking on "Get more icon packs" link on some machines
- Bugfix: Crash on application second instance exit when plug-ins configuration changed
- Bugfix: Rare NullReferenceException error when renaming folder in tree view
- Bugfix: Item tooltip disappear right after displaying when panel content is changing
- Bugfix: Rare InvalidOperationException when folder content changed right after tab closed
- Bugfix: Incorrect property provider traverse order (important for thumbnails extraction).
- Bugfix: Incorrect thumbnail rotation (from image exif metadata) in image property provider
- Bugfix: Very rare "An item with the same key has already been added" error while in thumbnail mode.
- Bugfix: Exception when retrieving default icon for wfx item with invalid characters in name.
- Bugfix: FilterReader doesn't fail when FILTER_E_UNKNOWNFORMAT exception raised.
- Bugfix: Correct drives sort for shell file system in tree
- Bugfix: Drive free space is not refreshed in tooltips
- Bugfix: Placing shell file system folders into clipboard is very slow
- Bugfix: Rare errors when closing command processor tab
- Regression bugfix: "The configuration file has been changed by another program" error on initial program start
- Bugfix: Rare "Thread was being aborted" error, when browsing asynchronous folders (network, ftp, etc)
- Bugfix: Rare "Object reference not set to an instance of an object" when trying to justify toolbar buttons
- Bugfix: "The invoked member is not supported in a dynamic assembly" error when trying to open plug-ins options
- Bugfix: Error when searching by content and some files in folder cannot be opened for read
- Bugfix: Troubles with displaying icons for external tools after tool's display style change
- Bugfix: Executing shell namespace files does not work under x64 OS
- Other small and not so small unlisted bugfixes

Version 3.0.5.2365 Beta - 29.12.2011
! First preview of shared interfaces for native plug-ins is published. It is possible to create you own plug-ins now.
! Shell file system now available from drives menu. Massive improvements in shell file system.
! Ftps is now supported. Many improvements in ftp code (MLST, MLSD, etc). Unix list pattern improved,
  added list pattern for MVS (z/OS, OS390). Ftp list parsing is much more configurable now (via app.config).
! Demo plug-in: Command Prompt Tab (CmdPromptTabPlugin)
! Demo plug-in: Command Line (CmdLinePlugin)
+ Copy files opened for writing while using sync or async copy method
+ %nomadlogdir% environment variable added
+ Added ability to verify destination files after copy (Delete source check box removed)
+ New list view behavior option: Navigate with cursor keys (left and right)
+ Added ability to unselect items via shift + cursor keys
+ Change current archive format according to destination file extension in pack dialog
+ New commands: "Paste Path" and "Paste Path and Go"
+ Changing drive by keyboard is layout independent now
+ Layout independent quick find (find text in all installed input languages at once), disabled by default
+ Changing views with Ctrl+Wheel and changing alternative views with Alt+Wheel
+ Vista theme completed at last
+ French localization added (thanks to Guy Pouliot)
+ Drag-n-drop to panel toolbar drive buttons is now supported
+ Added global history of visited folders
+ Threat .wcx, .wdx, .uwdx and .wfx as libraries when showing item tooltips (show file description, version, etc)
+ Displaying properties now works for wfx items
* Items cutted to clipboard have more transparent icons now
* Drag'n'drop from 7-zip file manager now works as expected
* Added numeric mnemonics for non-local file systems in drives menu
* Use selected folders (if any) as target (instead of current folder) for search
* Various usability tweaks in file panel
* Send bug report functionality in ExceptionDialog restored!
* Compare folders and compare files have better support for different file systems now
* Better support for unreadable folders in local file system, ability to rename them
* Support for invalid characters improved in wfx file system
* Added option to open target folder instead of inaccessible shortcut
* Plugins configuration redesigned (now only one list-view with tree-like extensions hierarchy)
* Deleting folders to recycle bin speed improved (especially for large folders)
* Moving to volumes mounted to folders improved
* Moving folders speed improved (especially for large folders)
* Select folder dialog reworked (recent and history folders, filtering, optimizations, etc)
* Alt+Click open special folders and bookmarks in far panel
* Many small unlisted improvements
* Layout improvements in many dialogs
- Bugfix: Importing bookmarks and tools will fail when files with the same names exist in place
- Bugfix: Nomad does not start silently (or crash with ConfigurationErrorsException) on some .net 4 configurations
- Bugfix: Extremely rare ArgumentException error while browsing in thumbnails mode
- Bugfix: Quick find does not work properly for folders when custom folder template is applied
- Bugfix: Extremely rare InvalidOperationException after starting program
- Bugfix: Exception when trying to create folder with * or ? characters
- Bugfix: InvalidOperationException when folder content changed right after tab closed
- Bugfix: Sometimes wheel scrolling does not work on non-main screen
- Bugfix: Error when parsing invalid icon handler class guid from registry
- Bugfix: Error when enumerating local shares on WinXP under limited account
- Bugfix: 'Found invalid data while decoding' when parsing some invalid desktop.ini files
- Bugfix: Very rare ArgumentOutOfRangeException error when extracting icon for item
- Bugfix: Location column is not shown for folders found during search
- Bugfix: Unable to search on Location property (column)
- Bugfix: FilterReader doesn't fail when FILTER_E_UNKNOWNFORMAT exception raised
- Bugfix: Deleted plug-ins were not removed from plug-ins assembly cache
- Bugfix: Rare "An item with the same key has already been added" error while using shell icon provider
- Bugfix: Exception when trying to copy elevated file (alternate streams enumeration is not supported)
- Bugfix: Drag-n-drop on other tabs right after start does not work
- Bugfix: Elevation does not work for limited accounts (i.e. when elevation started under another user account)
- Bugfix: Rare NullReferenceException on update folder, when folder is actually deleted
- Bugfix: Rare arithmetic overflow exception when opening search or filter dialog
- Bugfix: Date condition is not refreshed correctly when editing advanced filter
- Bugfix: Error when trying to associate taskbar progress with operation form on some machines
- Bugfix: Path contains invalid characters exception for some linux-based ftp servers
- Bugfix: Nomad display LIST error on some empty ftp folders (folders which contain only '.' and/or '..')
- Bugfix: Nomad sometimes cache ftp folders even when caching is disabled in ftp context
- Bugfix: Some list view colors and highlight colors does not work under Windows x64
- Bugfix: Optimize program binaries initial task show fail result (but succeed actually) under Windows x64
- Bugfix: Rare InvalidOperationException when showing item tooltip
- Bugfix: Options dialog stay visible after close (when closed with OK button), if DWM disabled or not available
- Bugfix: Right-click drag-n-drop is not working on toolbar drive buttons
- Bugfix: Rare occasional OutOfMemoryException errors when application is idling
- Bugfix: Value cannot be null, when adding bookmark to folder with shift key pressed
- Bugfix: Error when trying to create some complex content search rules ("pyDumps(self." for example)
- Bugfix: Rare exception when trying to update available free space for panel
- Bugfix: Object reference not set to an instance of an object, when trying to justify toolbar
- Bugfix: Object reference not set to an instance of an object, when trying to create link to drive
- Bugfix: InvalidArgument=Value of '0' is not valid for 'index', when visual styles disabled
- Bugfix: Operation name is not shown while setting attributes for files
- Bugfix: Move and rename now works as expected
- Bugfix: Exception when trying to create link on uri-base file system (shell for example)
- Regression bugfix: Archives settings always have modified state (even right after opening options)
- Regression bugfix: Unable to enable or disable archive format
- Bugfix: Exception when trying to display invalid file time in wfx plugin
- Bugfix: Exception when trying to open .flv file as archive (using 7z.dll)
- Bugfix: Items list with explorer theme enabled. Check box should be drawn only when cursor is over item
- Bugfix: ChangeDriveGoRoot is now respected by drive buttons placed on panels (and it is off by default now)
- Other small unlisted bugfixes

Version 3.0.0.2135 Alpha - 22.08.2011
TBD

Version 2.8.7.1740 Final - 31.03.2011
- Regression bug #166 fixed (Copy to wrong folders (%C5%BE%C5%99%C4%8D for example) in some cases)
- Bugfix: Exception when closing via Alt+X and there is operations in background
- Bugfix: Options dialog grows every time on open when default dialog font changed
- Bugfix: NullReferenceException when closing application with locked folders
- Bugfix: Invalid zip archives with several identical folder entries now handled correctly
- Bugfix: "Bold" item icons on hover in WinXP
- Regression bugfix: Searching duplicates by content does not work
- Bugfix: Unhandled "The network name cannot be found" exception when navigating from breadcrumb
- Bugfix: Wrong archive parent folder when navigating to archive from text string
- Bugfix: Improved behavior in situations when icon is not found for item
- Bugfix: An error when trying to open autorun.inf folder on machine protected by Avira
- Bugfix: Some WCX plugins does not work due to invalid internal interface (btdir for example)
- Bugfix: Load only first found 7z.dll from plugins folder

Version 2.8.7.1725 RC - 15.02.2011
* 7z.dll updated to version 9.20 (Both 32 and 64 bit 7z.dll now included)
* Improved url and file names processing in File Copy Dialog
* Do not draw thumbnail border in ExplorerTheme mode and when thumbnail present
- Bug #157 fixed again (Very rare threading issue when opening archive on machine with 4 cores)
- Bug #163 fixed ("Cannot access a disposed object." crash shortly after tab closing)
- Bug #164 fixed (Wrong folder overlays for Dropbox 1.0.x synced folders)
- Bugfix: Set modified state after changing list order (highlighters for example) via Manage Dialog
- Bugfix: After renaming item cursor moved to first item in list
- Bugfix: Hang in ShellDetails.wdx due to incorrect path (i.e. 'c:\') names handling
- Bugfix: Error on opening bookmark located on two-level under bookmarks folder
- Bugfix: Long check box text displayed incorrectly in standard message dialog
- Bugfix: Inconsistent breadcrumb path when opening .tag.gz (or similar) archives
- Bugfix: Failed to find items when background search is completed too fast
- Bugfix: Unable to delete empty folders from 7z archives
- Bugfix: Noticeable freeze when showing Set Attributes Dialog with large selection
- Bugfix: Del key not working in breadcrumb and quick find strips
- Bugfix: Broken inherited desktop.ini support restored
- Bugfix: Invalid overlay processing for shortcut files (*.lnk)
- Other small unlisted bugfixes

Version 2.8.7.1700 RC - 22.11.2010
* actMakeFolder command added to folder context menu
* New default document archive extensions added
* Size formatting changed a bit (do not show zero after decimal point if it not needed)
* Parsing dos-like listings improved in FTP (unknown LIST format errors fixed for some ftp servers)
- Bugfix: Show invalid speed per second (like 0.xxxxxxxx) when copying speed is too slow
- Bugfix: Sometimes item info panel height became too big
- Bugfix: Show warning (instead of error) when error occurred when starting link outside browser
- Bugfix: Black background at toolbar settings page in options under Win7
- Bugfix: Do not skip shortcut processing if command is disabled
- Bugfix: Unable to change language in Nomad_x86
- Bugfix: Some shortcut keys combinations cannot be entered in hot key boxes
- Bug #159 fixed (Hang when trying to use .ico file as image for toolbar button)
- Bug #160 fixed (Rare exception when changing "use visual styles" option on Win7 x64)
- Bug #161 possible fixed (Icons displayed only for focused and selected items in some rare circumstances)
- Bug #162 fixed (Rare object is currently in use elsewhere error when displaying item icon)

Version 2.8.7.1685 RC - 30.08.2010
* Do not show worker dialog if operation takes less than 500ms
* Local file system folders browsing speed improved by ~15%
* TagLib# updated to version 2.0.3.7
- Bugfix: Memory leak in Vista thumbnail provider eliminated
- Bugfix: Exception on bookmark right click, when bookmark is located in subfolder
- Bugfix: Very small bug with removing buttons from toolbar by context menu fixed
- Bugfix: Sometimes wrong path displayed in "look in" box after search dialog opened
- Bugfix: Path entered with '/' instead of '\' now handled correctly
- Bugfix: Shortcuts with Alt can no longer execute while any modal dialog opened
- Bugfix: Some shortcut keys combinations cannot be entered in hot key boxes
- Bug #147 fixed again (Rare exception when deleting one file on very fast machine)
- Bug #157 fixed (Very rare threading issue when opening archive on machine with 4 cores)
- Bug #158 fixed (Drop-down menus with folders on breadcrumb panel sometimes closing unexpectedly)

Version 2.8.7.1672 beta - 19.07.2010
+ Opening special folders in far panel when Shift key pressed
+ Clear selection button added to file panel (visible only when selection exists)
* Better insufficient free space detecting in system copy mode
* Using system copy when possible by default
* More plural forms in all localizations for better user expirience
* Highlighters options section and manage list dialog layouts changed
* Manage list functionality restored for search and find templates
- Bugfix: Better exceptions handling in TagLib property provider
- Bugfix: Better exceptions handling when showing shell context menus
- Bugfix: Show warning (instead of crush report) when there is no mail:// hanlder in system
- Bugfix: Less strict taskbar progress initialization on Win7 (Do not fail on error)
- Bug #147 fixed again (Rare exception when deleting one file on very fast machine)
- Regression bug #149 fixed (Quick find started when pressing Num +, Num *, etc)
- Bug #150 fixed (Very rare exception on program staring)
- Bug #151 fixed (Exceptions in options after minimizing application to tray)
- Bug #152 fixed (Visual artifacts in New File dialog on WinXP)
- Regression bug #153 fixed (Visual artifacts after program closing on WinXP)
- Regression bug #154 fixed (Search starts in different folder)
- Bug #155 fixed (Exception on Toolbars section in Options)
- Bug #156 fixed (Exception when unable to detect reparse point type)

Version 2.8.6.1638 beta - 08.06.2010
+ Nomad_x86 bootstrapper added (useful for starting Nomad in x86 mode under x64 OS)
+ Added ability to minimize to tray (both througt minimize button and command)
+ Added ability to open archives by entering archive path in breadcrumb (command line too)
+ Ukrainian localization added
+ Elevated folders creation in copying operation
+ Compressing files and folders for elevated items now works properly
+ Fallbacking to 7-Zip installation folder when no 7z.dll found in Plugin\Formats folder
+ Using Left and Right keys for fast browsing in Details view
* Crc32 algorigthm changed to be png compatible
* Better error reporting for non-main threads
* Owner-draw comboboxes now have native Vista look
* Sort dialog layout changed
* Copy and pack dialog layouts improved
* Many comboboxes now auto-sizeable for better content localization
* Small application start speed-up (~5-10%) when many tabs opened
* Many forms localization improved, plural forms and other changes in strings
* Do not show copy data streams warning, if only zone identifier stream exists
- Several fixes in Image property provider (valid exif image rotation and thumbnail size)
- Bugfix: Remove horizontal scroll bar flickering when changing folder in details view
- Bugfix: Do not lose focused state in several circumstances in panel under Win7
- Bugfix: Rare exception when showing item tooltip fixed
- Bugfix: Very rare racing when extracting files were eliminated
- Bugfix: Error in delta time calculations when OS is working without restart for more then 20 days
- Bugfix: Rare exception when trying to show cutted items in panel
- Bugfix: Now works without errors with FtpDrive
- Bug #141 finally fixed (Exception when processing appcommands)
- Bug #144 fixed (Exception after disconnecting usb flash opened in inactive tab)
- Bug #145 fixed (Exception on elevated process cleanup)
- Bug #146 fixed (Exception when entering path in breadcrumb)
- Bug #147 fixed (Rare exception when deleting one file on very fast machine)
- Bug #148 fixed at last! (Silent crush when opening archive settings in options on some machines)
- Various unlisted small fixes

Version 2.8.6.1583 alpha - 26.04.2010
! In-process elevation for operations that need administrator privileges
+ NewCommand: actGCCollect (GC Collect)
+ Ability to configure autocompletion added in options dialog
+ New option: Double-click on empty space
* Search, Filter and Options dialog now opening faster
* Internal implementation for local file system changed
* Memory consumption for panel's history reduced
* Autocompleting now search in recent items too
* Some theming changes (better system theme looking on Vista, and better fonts support for tabs)
* Groups in Manage Columns dialog are now collapsible
* Better password protected archives handling
* actCalculateFolderSizes renamed to actCalculateOnDemandProperties, behavior change accordingly
* Hash property provider now provider on-demand properties (instead of slow).
- Bugfix: Rare element already exists exception when opening archive
- Bugfix: Rare crush in default icon provider
- Bugfix: Rename from context menu does not work sometimes and more
- Bugfix: Ability to use test (text) localizations restored
- Bugfix: Several memory leaks eliminated
- Bugfix: Broken copy to clipboard from archives functionality restored
- Bugfix: File packing dialog is not shown in one panel mode
- Bugfix: Crush on old systems because method which absent in .net 2 is used (available starting from .net 2 SP1)
- Bug #143 fixed (Exception when browsing bookmarks with Shell icon provider)
- Bug #142 fixed (Exception after renaming in folder panel)
- Bug #141 fixed (Exception when processing appcommands)
- Bug #140 (Placement issue in multi-monitor environment)
- Bug #139 fixed (Hanging when opening context menu with owner-draw items)
- Bug #138 fixed (Folder times were not copied with error)
- Bug #137 fixed (Exception in Details mode when sorting by Size and quickly select folders)

Version 2.8.5.1523 alpha - 22.03.2010
! Auto complete for text boxes completely rewritten (now with support for
  relative folders, environment variables and known folders (shell:xxx))
! Support for Total Commander content plugins added (WDX plugins)
+ Support for Vista's known folders added (partial support in previous OSes)
+ Columns templates added to Manage columns dialog and columns context menu
+ Alternate data streams now copied in Sync and Async mode (in addition to System mode)
+ New command: actOpen (Open) (Enter)
+ New command: actOpenAsArchive (Open as Archive) (Shift+Enter)
+ New command: actRunAsAdmin (Run as Administrator) (Ctrl+Shift+Alt+Enter)
+ New command: actAddFolderToRecent (Add to Recent)
+ New command: actSelectSingleItem (Select Item) (Ins)
+ New command: actSelectSingleItemAndCalculate (Select Item and Calculate) (Space)
+ New property: Data Streams - number of alternate data streams for item
+ New "Skip shortcuts" option in Search dialog
+ Added ability to abort any worker if it hangs (copy, pack, delete, etc)
+ Support for "On Demand" properties added (calculated with Space)
+ Support for 7z.dll 9.11 added (PPMd in zip)
* Keyboard shortcuts handling improved
* Using delayed and improved icon extraction in many new places
* Show "Open Containing Folder" command in item context menu (when appropriate)
* "Open in Far Panel" command behavior changed
* Many dialogs now use new validation engine to check input values
* Each panel history now limited with 96 (32) items, configurable in Nomad.exe.config
* Path breadcrumb recent items click behavior changed
* Showing more information in tooltips for unauthorized folders
* Search, Advanced Filder, Options, About dialogs layout changed
* "Quick Find" command (Ctrl+F) now toggles find panel
* "Rename Single Item" command (F2) now toggles name part selection
* Folder hangling for plugins changed
* WCX plugins now installed into Plugins\WCX\[Plugin]\ folder
* All property providers refactored to remove dependency to main assembly
* Better subfolders size calculation
* Much better and faster size on disk (allocation size) calculation for both files and folders
* TagLib-sharp.dll updated to version 2.0.3.6
* Items moved into clipboard now highlighted in panels
- Bug #102 fixed (Racing conditions in icon extraction engine)
- Bug #122 fixed again (Sort mark in details view not shown when multiple tabs)
- Bug #125 fixed (Exception on sorting after panel content refresh)
- Bug #126 fixed (Exception in search (filter) dialog when hiding details)
- Bug #127 fixed (Thumbnails disappear after changing thumbnail size)
- Bug #124 fixed (Exception when clicking on breadcrumb bar before initialization complete)
- Bug #128 fixed (Some keyboard shortcuts does not work after start)
- Bug #129 fixed (Exception when click on context menu separator)
- Bug #130 fixed (AV on renaming the folder)
- Bug #131 fixed (Exception when displaying item tooltip)
- Bug #132 fixed (Cannot change list view colors twice)
- Bug #134 fixed (Focus were not set properly in Make Folder dialog)
- Bug #135 fixed (Object is used elsewhere exception when showing tooltip)
- Bug #136 fixed (Exception on indirect retrieving reparse folder type)
- Bugfix: Some command texts were not localized or localized incorrectly when switching language
- Bugfix: Rare exception when starting searching
- Bugfix: Hide skip file button when stopping copy
- Bugfix: Do not load desktop.ini for inactive tabs after program load
- Bugfix: Several bugs in shell context menu handling were fixed
- Bugfix: Exception when executing shortcut with missing target
- Several other issues fixed

Version 2.8.0.1410 alpha - 11.01.2010
! Completely new list and tree view painting engine with run-time alpha blending
! New breadcrumb bar: completely redesigned, better drives support, recent folders history, command button, context menu, vista-like, etc.
! Native explorer theme support for list views and tree views added (Vista)
! Support for file based themes added, many new configurable theme options
! Initial initialization improved: new initial tasks, detailed progress report, license information in Setup and Upgrade dialog
! Much better unhandled exceptions processing, new Error dialog, show crush information on next start, *.pdb files removed from distribution
! Massive code optimizations in many-many areas, program now works much faster
+ File tooltips support transparency now, configurable in options
+ New default dialogs layout, with dedicated buttons bar, better auto-sizing, etc.
+ Vista thumbnail provider added
+ Show 'Administrator' label in form title when running with elevated permissions (Vista)
+ Show opearation state and progress in taskbar button (Win7)
+ Added support for restart and recovery functionality (Vista)
+ Register jump list tasks during initialization (Win7)
+ Support for IconResource desktop.ini parameter added
+ Support for animated thumnails in Image property provider
+ Additional special folders can now be added in app.config
+ Detect edited file changes and upload changed file back to ftp server
+ In many cases Nomad can detect application that locked file (Vista)
+ Better multi-threading support: new framework for parrallel computations used in many
+ File tooltips support moved to dedicated thread (UI is much more responsive now)
+ Issue #104 resolved (Detect and handle close colors situations using some approximation algorithm)
+ Folder tree view now watch for folders changing and updated accordingly
+ Option to select folders in addition to files has beed added in Select dialog
+ Support for application commands added (Stop, Refresh, etc buttons on some keyboads and mices)
+ When clicking on empty space in panel new context menu is shown (with appropriate commands configurable through nomad.config)
+ New command line option: -dump (used for debugging application hangs)
+ New command line option: -old (use existing nomad instance when possible)
+ Improved item images support for certain menu items in shell context menu (Vista, TortoiseSVN)
+ Additional options for list view styles (list, thumbnails, etc) in View menu
+ Show panel state in folder panel bar (filtered, locked)
+ New assembly added Nomad.FileSystem.dll for future plug-ins support
+ New configurable option: Show '..' item in list
+ New configurable option: Clear selection before performing file operation
+ Issue #15 implemented (Vista style progress bar looks ugly under Win9x, WinNT and Win2k)
+ New command: Help contents
+ New commands: Map Network Drive and Disconnect Network Drive
+ New command: Copy current folder as Text
+ New command: Quick Change Folder
+ New command: Recent Folders
+ New command: Open in Far Folder
+ New commands: Left = Right and Right = Left
+ Support for complex plural forms added (used in Russian and Belarussian translations)
+ Two new themes: Classic/Norton Commander and Classic/Dos Navigator
+ Many new overwrite rules in Overwrite dialog (look in drop down)
+ Skip File button in copy dialog (skip file if it takes too long to copy it)
+ New paste content dialog (paste clipboard content (text, image, etc) into file)
+ Added ability to hide main menu
+ Ability to run external tools with administrative privileges added
* Refresh panel algorithm changed (long-lasting issue with panel sort fixed)
* Ability to create untyped files in New File dialog
* Extract valid default icons in Vista, Win7
* Much better tree view support in Vista
* User can now drop items on supported unopened archives
* Faster extracted icons displaying when using delayed extraction
* List view columns support changed, now user enter min column width in pixels instead of columns count
* Faster (more responsive) main form resizing with mouse, better maximization support
* TagLib-sharp.dll updated to version 2.0.3.3
* Support for 7z.dll version 9.x (LZMA2, XZ archive, etc)
* 7z.dll updated to version 9.10 update 3
* Startup time redused significantly, especially when loading many tabs
* Delayed icons extracting now used everywhere (breadcrumb, menus, etc) which lead for faster and more responsive ui
* Ask for extract entire arhive when trying to watch .html file
* Folder change detection code for non-NT (Win9x, Samba) systems completely rewritten
* Support for relative icon path in desktop.ini added
* Better (faster) clipboard state detection (Vista)
* Additional text fields validation added in many dialogs (Make Folder, Bookmark Folder, etc)
* Respect image orientation EXIF tag in Image property provider
* Office 2007 theme removed from main distribution
* Select only file name when renaming file
* Show file name along with folder in File Ńopy Dialog when copying single file
* Options dialog size and positions are preserved now (use Shift to reset position when opening)
* Support for folder links (*.lnk, *.url) in command line added* Some op
- Bugfix: Delays when showing drive menu on some systems removed
- Bugfix: Refresh on network folder now correctly reloading content
- Bugfix: Issue with losing list view items colors were fixed
- Bugfix: Archive reloading functionality restored
- Bugfix: Intercept exception when opening wcx archive (invalid wcx plugin)
- Bugfix: Racing condition in icon extraction engine removed
- Bugfix: Thumnail sizes was not stored in panel layout
- Bugfix: Many x64 related issues were fixed, must work correctly now
- Bugfix: RunInThread and AsyncFileCopy options were not stored/restored correctly
- Bugfix: Correct handling of 'abc;def' name filters
- Bug #118 fixed (Cannot rename folder to the same name with other casings)
- Bug #119 fixed (Race conditions in Shell image provider)
- Bug #121 fixed (Access denied when deleting Read-Only files)
- Bug #122 fixed (Sort mark in details view not shown when multiple tabs)
- Bug #123 fixed (Repeating SecurityException when accessing registry in some rare cases)

Version 2.6.8.1195 RC - 31.08.2009
+ Dutch localization added (thanks to Martijn Weisbeek)
+ Issue #115 implemented (Respect environment variables in Select Folder Dialog)
+ Issue #114 implemented (Show mapped network drive path instead of volume label)
* Nomad is built for Any target again
* Some dialogs layout changed to better work with long localized strings
- Bug #107 fixed (Stored layouts does not working properly, was broken when fixing issue #99)
- Bug #108 fixed (Shift+C does not appears to be valid shortcut in Nomad)
- Bug #109 fixed (Exception when enabling themes support in Vista)
- Bug #111 fixed (Tabs with Large Icon view panel not restored on start)
- Bug #112 fixed (Double click maximizes worker dialogs)
- Bug #113 fixed (Attributes reseted when copy to compressed folder)
- Try to fix bug #116 (Occasional hangs under Windows Vista and 7)
- Bug #117 fixed (Crash when copying (deleting) files on Win7)
- Try to fix bug #120 (Exception when using some Wcx plug-ins)

Version 2.6.8.1180 RC - 07.07.2009
* Nomad is built for x86 target (must fix problems under Window x64 for the moment)
* Clear content cache in network folder on Refresh
- Bug #99 fixed (Crush when folder bar enabled in both panels)
- Bug #100 fixed (Panels layout loaded incorrectly when second toolbar visible)
- Bug #101 fixed (Exception when opening options dialog on asian systems)
- Bug #103 fixed (Exception when opening new tab from archive)
- Bug #105 fixed (Cannot open drive with two files with the same name)
- Bug #106 fixed (Crush on when extracting thumbnail from some html files (with scripts))
- Bugfix: Very rare crush on reading overlay icons
- Bugfix: Long-lasting bug with access violation in shell file system was fixed
- Bugfix: Thumbnail size was not stored with panel layout
- Bugfix: Fixed problem with mouse wheel scrolling in combobox when dropdown is shown

Version 2.6.8.1166 beta - 05.06.2009
+ German localization added (thanks to Sven Knurr)
* A lot of layout changes in many forms for better fit long localized strings
* Refresh algorithm changed yet again (improved deleted item focusing, improved delayed sort)
* Use native hand cursor under WinXP+ (with shadow, etc)
- A lot of localization typos fixed
- Archive reloading on change functionality restored
- Fixed bug with double clicks in Change Folder dialog
- Fixed annoying bug with item tooltip flickering when browsing with keyboard in Vista
- Bug #98 fixed (Crush when opening folder which contains subfolder with malformed desktop.ini file)
- Bug #97 fixed (Default application settings from nomad.exe.config is ignored)
- Bug #96 fixed (One panel layout restored incorrectly when there is several tabs)
- Bug #95 fixed (Sorted column has no title after duplicating tab under Vista)
- Bug #94 fixed (Exception with malformed text language file)
- Bug #93 fixed (Cannot open drive menu if NoRootDirectory drive exists)

Version 2.6.8.1140 beta - 13.05.2009
+ Item tooltips now supports OS theming (native Vista look)
* Folder refresh algorithm improved (especially useful for delayed icon extraction)
* Delayed icon extract now set to ALWAYS by default
* Some optimizations in slow property retrieval and folder size calculations
* Hiding options now works for tree view too
- Bug #88 fixed (Crush when drive has no serial number on nvidia chipsets)
- Bug #89 fixed (In certain circumstances thumbnails was not retrieved in thumbnail view)
- Bug #90 fixed (Folder tree is not sorted on FAT drives)
- Bug #91 fixed (Crush on power off with started Nomad in Windows Vista)
- Bug #92 fixed (Exception on opening bookmarks with unexistent ftp folder)
- Bugfix: Setup and Upgrade Dialog was not shown on clean machine
- Very rare icon-related crush was fixed
- Several other issues fixed

Version 2.6.8.1115 beta - 24.04.2009
! Setup and Updgrage Wizard has been added (shown on first run)
+ Safe mode added (in this mode user can disable some processing on start)
+ Many new command line options added (see -? for details)
+ Added support for text based localization files (primarily for easy localization)
+ Now you can customize not only local writable folder, but also any other folder
  (ftp, network, read-only local folder)
+ Customized settings can be applied not only for folder, but also for all of its subfolders
+ Now you can customize list view back and foregrounds in Customize Folder Dialog
+ New option: Do not show hidden and system items and it is TURNED ON BY DEFAULT
+ New option: Hidden items list (number of rules to hide specific files and folders)
+ New option: List view focused item foreground color
+ Much improved support for mouse wheel (especially useful in options dialog)
+ Added ability to auto-hide find toolbar on leave (see toolbar context menu)
+ Support for 7z.dll 4.66+. (FAT, NTFS, MBR and NTFS file formats)
+ Support for folder thumbnails from thumbs.db
+ Show caps lock state and keyboad layout in passwords fields
* taglib-sharp.dll updated to version 2.0.3.2, related provider is also updated
* Bigger icons in thumbnail view mode
* Better thumbnails support (different sizes thumbnail generator)
* Some painting improvements in main form
* Better form scaling in several dialogs
* Better run-time localizer (used with new language files, and after language change in options)
* Pack dialog layout improved
* License files updated (now includes license for 7z.dll and taglib-sharp.dll)
- Bug #82 fixed (Very rare racing condition when changes happen in the underlying folder)
- Bug #83 fixed (NullReferenceException in change folder dialog)
- Bug #84 fixed (Exception on reconfiguring folder tree on panel)
- Bug #85 fixed (Environment string "%nomadver%" was not replaced correctly in portable mode)
- Bug #86 fixed (Exception with malformed autorun.inf)
- Bug #87 fixed (Arhive file opened on removable drive still prevents safe removal)
- Bugfix: Hide drives panel toolbar on lost focus
- Several clean install bugs was fixed

Version 2.6.5.1053 alpha - 23.03.2009
! Second toolbar added, and in general, added support for any number of additional toolbars
+ Context menu for toolbars added (Move toolbars to bottom, change buttons
  display style on the fly, justify text labels, remove toolbar buttons on the
  fly, change toolbar buttons images)
+ Drag-and-drop files to toolbar (execute command (for some buttons), start tool,
  add new tool, etc)
+ Highlight toolbar buttons when showing context menu for them
+ Ability to add drive buttons to any toolbar
+ Support for tab bookmarks added
+ New command: Toggle Folder Bar (Show or hide folder bar)
+ New command: Exit
+ New command: Save Settings...
+ New command: Customize Toolbars...
+ New command: Customize Tools...
+ New command: Bring to Front (uses global shortcuts, switch focus to nomad)
+ New command: Volume Label...
+ New command: Open in Explorer
+ New command: Refresh Toolbars (Mostly servicing command)
+ New command: Bookmark tab...
+ New option: Active panel background color
+ New option: Default delete dialog button (no UI)
+ New option: Show drive menu on hover (opens drive menu without mouse click)
+ New option: Start programs in separate thread
+ Program no longer blocks safe usb mass storage removal
+ Experimental support for different encodings in Ftp, some other ftp related changes and fixes
+ New volume type - Flash (with its own icon, now very limited support)
+ License information added to distibution (about dialog, license.txt, etc)
* Major rework of volume support, now volume taken for specific path not for drive
* Much better drive icon extraction (better error handling, faster, etc)
* Improved tooltip extraction (simplified, better error handling, faster)
* Close buttons on panel toolbars was removed
* Suppress Ctrl+Num+ shortcut in panel (to prevent default columns resizing)
* Times comparison algorithm changed (now when times difference less than 1 second,
  they threated as equal)
* Some system copy mode improvements (when copy to removable volume)
* Better support for SAMBA servers that do not support watcher functionality
  (auto refresh now works using another watcher technique)
* Other improvements in auto-refresh area
* Ensure focused item visible after deletion
* Item tooltip improved (some animation added, cached, faster, etc)
* Archives options layout improved
* Keyboard map options layout grealy improved (now with command names and icons)
* External tools options layout improved
* Color drop-down button improved and localized
* New shortcusts for old commands (Ctrl+F1, Ctrl+F2, Ctrl+R, etc)
* Disable "send to bin" option when deleting file on non-local volumes (cd, network, etc)
* Right click selection option behavior improved (now you can select with right click and drag)
* Better .ico extraction and better icon to image conversion (fixes problem with TortoiseSVN overlays)
* Thumbnails list view improvements on WinXP+
* HA.WCX was removed from distribution
* Many other optimizations and improvements
- Do not show notification when executable file is the only file in archive
- Bugfix: Crush when starting invalid .exe file from RunAs dialog
- Bugfix: Exception on restarting nomad with opened root network folder
- Many other unlisted bugfixes

Version 2.6.0.960 alpha - 28.01.2009
! Tabs! (create, close, drag, save tabs on exit and all other tab actions supported)
! Themes are now fully customizable (introducing Nomad.Themes)
! Config files location is configurable now (allows fully portable mode)
+ New theme: Flat
+ New theme: IE7
+ New command: Lock Folder Change
+ New command: Select by Name
+ New command: Toggle One Panel Mode
+ New command: Navigation Link (Synchronous browsing in left and right panels)
+ Ability to extract entire archive when starting executable from it
+ Ability to change thumbnail size (see actChangeView command)
+ Experimental support for unreadable local file system items
+ New environment variables: %nomadcfddir%, %nomadver%
* Many new menu icons added
* Themes now separated by style and color
* Command actShowBookmarks now shown on toolbar as drop down button
* Configuration file format changed greatly, so options upgrage unavailable
* Confirmations block moved into Security section in Options
* A lot of various improvements and optimizations
- Other unlisted bugs was fixed as well

Version 2.5.1.872 RC - 22.01.2009
- Bug #78 fixed (When going to parent folder, current folder sometimes not on screen)
- Bug #77 fixed (Desktop flickering when navigating to folder with many files)
- Bug #76 fixed (Exception on copy files to unexistent ftp site (or ftp folder))
- Bug #75 fixed (Exception when there is no access to reparse point)

Version 2.5.1.868 RC - 20.01.2009
+ New fancy logo in about dialog
+ Many new menu icons (paste, select, etc)
* Folder environment parameter values changed (removed trailing backslash)
* Small layout changes in several dialogs
* Better availability check for some virtual properties
* Bookmark and tools initialization and re-initialization improvements
- Bug #66 fixed (Skip empty folders copy option does not working property)
- Bug #67 fixed (Created bookmark for ftp folder not appear in the Bookmarks menu)
- Bug #65 fixed (Crush when trying to paste files from deleted archive)
- Bug #68 fixed (Bug with hard drive to which there is no access at all)
- Bug #69 fixed (When copy file to network share "out of space" error shown)
- Try to fix bug #70 (Very rare crush when packing using zip packer with 2 or more threads)
- Bug #71 fixed (Exception on executing external tool)
- Bug #72 fixed (Sometimes bookmarks drop down menu unpinned from the place where it must be)
- Bug #73 partially fixed (Exception on start Nomad)
- Bug #74 fixed (Cannot bookmark search folder on root drive)
- Other small fixes

Version 2.5.1.845 beta - 29.12.2008
+ Ability to create new files of different types (menu and dialog)
+ Clickable 7z banner added to archive options
+ Issue #62 implemented (Drives mounted as folders shown with folder icon)
+ New command: Calculate Folder Sizes
+ New virtual property: Volume Label
+ New option: Folder name template (\Folder, [Folder])
+ New option: Show column lines in details view
* Reparse points and mount points now have Shortcut Target property
* When new version is available now release type shown with version (alpha, beta, etc)
* Many other small improvements and fixes
- Check for updates functionality restored (moved to another host)

Version 2.5.1.823 alpha - 11.12.2008 (internal build)
+ Now user can add single tool into the toolbar (previously only all tools at once)
+ %nomaddir% parameter for external tools added
+ Support for LZMA compression in .zip files (7z.dll 4.61+)
+ Issue #57 implemented (Fast find - navigation by typing the name)
+ Show hidden menu item was added to drives dropdown menu
* Refresh on ftp sites now works correctly (clears cache and reread content)
* Improved work with local files date and time (with some error handling)
* Extracting and (especially) packing speed improved
- Bug #54 fixed (Bug when opening folder with List only permissions)
- Bug #55 fixed (Problem with cyrillic filenames on ftp)
- Bug #56 fixed (Mounted TrueCrypt volumes marked as 'Not ready')
- Bug #58 fixed (Settings not stored on logoff (reboot, shutdown, etc))
- Bug #59 fixed (Nomad does not save the position of the splitter between the folder bar and list view)
- Bug #60 fixed (Exception with shell image provider in Vista)
- Bug #61 fixed (Nomad crushed when in the background)
- Some changes in shell link support (especially in network folders) to fix exception in Vista
- Other bugs introduced in previous version was fixed as well

Version 2.5.1.800 alpha - 03.11.2008 (internal build)
+ Workspaces added (View menu)
+ actCopyDetailsAsCSV command added
+ Hash property provider added (hashes retrieved in separate stream)
+ Added ability to define slow properties (internal feature, used for hash provider)
+ Luna (Tan) theme added
* Improved usability of virtual property tab in Options
* Breadcrumb appearance changed a bit
* Manage columns dialog layout changed
- Bug #52 fixed (Unable open drive with deleted folder)
- Bug #53 fixed (Scroll bar always moved up)
- Bug with always opening file without extension as archive was fixed
- Bookmark search folder are now customizable
- Yet another try to not crush when device is not found
- Restored functionality of ftp change notifications (was broken in one of the previous versions)
- Other minor bugfixes

Version 2.5.0.771 alpha - 16.10.2008 (internal build)
! Now you can create archives directly in Nomad (both 7z.dll and WCX packer plug-ins supported)
! Now you can delete files in archives
! Bookmark Folder dialog greatly improved with customize bookmark and keyboard shortcut
+ Natural numbers comparison added (configurable through SortDialog)
+ New virtual property: CompressionMethod
+ Nomad now can install WCX plug-in automatically when open archive with plug-in (like TC)
+ New confirmation, do not show navigation error
+ Added %user% command line option for external tools configuration (ask user for parameter)
+ Icons added for options groups in Options dialog
+ Optimized column count behavior in List view mode (reduce number of columns when many columns not needed)
* Now you can rearrange items with mouse in any supported list
* Focus next item in panel when current focused item was deleted
* Opened archive folder now detects underlying archive changes and reload itself
* Archive options group in Options dialog updated with new options
* Options dialog internals changed
* New icons for commands, some forms layout changed
* Icon extracting framework improved (with better shortcuts support)
* All forms now look better when themes are disabled (or in OS without themes)
- Bug #49 fixed (Sometimes left column placed with invalid offset)
- Bug #50 fixed (Bug in nomad with other file managers on fat32 system)
- Bug #51 fixed (Exception when disconnecting virtual disk)
- Bugfix: Better errors handling when execute file
- Bugfix: Sometimes .exe icons was not extracted correctly
- Bugfix: Program cannot start with some invalid shares

Version 2.3.3.718 alpha - 25.08.2008 (internal build)
+ Right click select option added
+ Show keyboard cues on toolbar option added
+ Ability to run programs as administrator added (in RunAs dialog, especially useful for Vista)
+ Support for multi-part .rar archives added
* Support for 7z.dll 4.59+ finished
* Archive options layout changed a bit (now it is possible to disable archive formats)
* Various archive support related changes
* Better images support under Win9x

Version 2.3.3.704 alpha - 20.08.2008 (internal build)
! Preliminary support for multiple archive containers in one file
+ Customize toolbar is now possible in the options
+ Preliminary support for 7z.dll 4.59+ (new archive formats, one extension for several formats)
+ Relevance column added
+ ArchiveFormat column added
+ Mask to always open files with Shift+Enter option in archive options
+ actChangeView command added
+ New command icons added
+ Child folders is now allowed in Bookmarks folder (full support, except shortcuts)
* External Tools editing in Options greatly improved (with ordering support)
* New version of 7z.dll included (4.60b)
* Path toolstrip now supports very long folder names (both toolstrip and tooltip)
* Storing some setting was improved
- Bug #47 fixed (Exception when hover over .lnk file)
- Bug #48 fixed (Lasso / Selection drag box does not select files properly)
- Bugfix: Sometimes mounted network drives was incorrectly marked as 'Not Ready'
- Bugfix: Sometimes sort is broken in panel (when multiple changes occurs in underlying panel)

Version 2.3.0.685 RC - 14.08.2008
+ Show free space on drive thumbnail
+ actShowBookmarks command added (show bookmarks drop-down menu, default Alt+B)
- Do not show exception when trying to start bad exe file
- Bug #42 fixed at last (Very long drive list openning with fake floppy drives)
- Bug #43 fixed (DirectoryNotFoundException when context menu is shown for deleted folder)
- Bug #46 fixed (Bug with copying into buffer Ctrl+Shift+C)

Version 2.3.0.676 RC - 06.08.2008 (internal build)
+ One instance mode (ask user to start another program copy at start)
+ Archive highlighter added on initial setup (green color)
+ Nomad assemblies now strong named (protected with private key)
+ Show panel active state option added (panel state is shown on the path toolstrip)
+ Size On Disk property added
+ Tooltips behavior can be changed by user in options
+ Show first 5 item names when deleting several items
* Overlays is enabled by default now
* Storing application settings improved
* Various virtual tooltips improvements (keyboard browsing support, for example)
* Filter dialog and Find dialog layouts changed a bit
* Some usability improvements Overwrite prompt dialog and Main form
* Focusing items using extended rect (using mouse click)
- Program now detects broken user.config file
- Bug with comparing folders fixed
- Bug #41 fixed (BUG with dropping folders from Nomad into other programs)

Version 2.3.0.656 RC - 21.07.2008 (internal build)
! Several new themes added (theme - improved toolstrip provider)
+ Options dialog colors are now taken from theme
+ Request #36 implemented (Do not enter search options twice)
* Now user can repeat destination file opening if error occurs
* Improved panel updates (now update interval depends on the folder type, and form state)
* Main form visual appearance improved (now toolstrips looks better)
* Vista theme improved
* Advanced ToolTips now everywhere (in dialogs, on path toolstrip, etc)
* OverwritePromtDialog was greatly improved, now it can show file thumbnails and has support for advanced tooltips
* Hover time for advanced tooltips now taken from system (usually 400ms instead of 1500)
- Better tree view refresh on image provider change
- Bug #37 fixed (Very slow deleting from folder with many files)
- Bug #38 fixed (Exception in drive list when access denied to network disk)
- Bug #39 fixed (Exception on paste deleted file)
- Bug #40 fixed (Requested Clipboard operation did not succeed)

Version 2.2.7.633 RC - 08.07.2008 (internal build)
! Support for icon-packs added, please check options (including download link)
+ Check For Updates command added
+ Can set bold list view font in options
+ Can set auto-refresh mode for slow volumes in options
* Preliminary support for archive formats with the same extensions (7z.dll 4.59.3a)
* Icon providers framework improved, now you can select provider in options
* Some property providers optimizations
* Some other internal optimizations (improve speed, remove some duplicated code)
* Open locked archives (i.e. archives opened for write by another process)
* Import settings from previous version (not only bookmarks) on first start
- Bug #25 fixed (Exception on clicking on context menu items with subitems)
- Bug #26 fixed (Exception on start nomad)
- Critial bug #27 fixed (Deadlock when extracting from archive)
- At last bug #28 fixed (Exception in folder with .cdr (Corel) files)
- Bug #29 fixed (Folder locked exception on deleting folder)
- Bug #30 fixed (Exception occurs when trying to open archive folder with invalid characters in path)
- Bug #31 fixed (Invalid icons was shown on shell shortcut tooltips)
- Bug #33 fixed (WorkingDirectory was invalid when starting file)
- Bug #34 fixed (Sometimes exception occurs when files deleted and created in folder)
- Bug #35 fixed (Archive is used by another process)
- Many other small fixes not listed in issues tracker

Version 2.2.5.605 Beta - 23.06.2008
! View as Thumbnail view style added
! Ability to bookmark search folders and folders branches was added
! Application now have it's own icon
+ View as Large Icons view style added
+ New property provider: Html (extract basic html info, thumbnail)
+ New property provider: Text (extract basic text info, thumbnail, configurable through .config file)
+ New property provider: Ole (extract basic ole document info, thumbnail)
+ Icon cache now persistent (save cache on exit and load on start)
+ Additional command line arguments for external tools
+ Additional (configurable) info in change drive menu
+ New default property added: Volume type
+ Several commands now available in keyboard layout (actChangeDriveLeft, actChangeDriveRight, actUselectAll, etc)
+ List view selection with marquee box now possible
+ On refresh command tree view was refreshed too (not only list view)
+ SpaceToggleSelection and FolderSizeOnSpace options now works
+ ResetVisualCache command added
* Delayed panels content load (after program start)
* Great list view painting speedup
* Overlay icons extracting speedup
* Many optimizations was made to improve program reliabilty, speed and reduce memory footprint
* Extracting description for network shares was added
* Drag'n'drop improvements in details view mode
* By default several archive formats set to Shift+Enter behavior (office document, nsis, etc)
* Tree view font changing according to list view font
* Program now works better with limited user account
* Item tooltip code improved (and show extended tooltips for tree view items)
* Better deleted items detection
* Recalculate path toolstrip on window resize
* Show extended file info when deleting single file
- Bugfix: files was not moved if destination file exists
- In-place item renaming now works correctly with visible Extension column
- Several network related bugfixes (now everything must work correctly in complex domain controlled networks)
- Several handle leaks eliminated
- Two racing conditions in multi-threaded search was eliminated
- Many, many other bugfixes (all bugs reported by users was fixed, as well as many other bugs)

Version 2.2.0.537 Beta - 14.05.2008
! New command: Customize Folder, ability to remember some options for folder
! Tooltips now configurable based on file type (many preconfigured options)
! Tooltip now shows thumbnail (if exists) or icon (no UI to configure at the moment)
! Columns providers added, many new columns introduced, configuration columns
  and column providers in options, searching and filtering in new columns, etc.
  Currently available property providers:
  - File Version Provider (extract version information from PE files)
  - Flash Video (FLV) Provider (extract basic image info)
  - Thumbs.db Thumbnail Provider (extract thumbnail from thumbs.db file, if exists)
  - Image Provider (extract basic image info, exif tags, thumbnail, can set description)
  - TagLib Provider (extract video and audio basic info, tag, thumbnail, can set description)
  - Photoshop (PSD) Provider (extract basic image info, thumbnail)
  - Description Provider (get and set description, based on descript.ion files)
! Shell file system introducted (unstable at the moment). (shell://c:\)
! Ability to change keyboard layout has been added (through options)
! Create shortcuts throug MakeLink dialog (many shortcut types supported)
+ Detect locking application on file deletion (sometimes, based on ole)
+ First start initialization code added
+ New command: Edit Description
+ Local file system folders now can get and set description (in desktop.ini file)
+ Multi-threaded search in some cases (great speed boost on multi-core cpu)
+ Ability to use system copy routine (instead of default one)
+ Copy progress dialog greatly improved (now shows much more information)
+ Option to start applications in thread (eliminate program freeze)
+ Ability to create (and handle) network location shortcuts added
+ More drive type icons in default icon provider
+ Support for volume level links added (subst, mount, etc)
+ Application can now compile itself with NGen (-compile switch)
+ Option to process shell folder shortcuts
+ Vista menu renderer added (incomplete)
+ Reset system idle timers during long file operations (copy, delete, etc)
* Some classes moved to different assemblies (for future plug-ins support)
* Some performance improvements (list view painting optimized)
* Better drag'n'drop support (now accepts folder drag from explorer zip folders)
* Better keyboard shortcuts handling
* Set attributes dialog layout changed (show one or several selected items)
* Better theme support
* Sort dialog layout improved (shows inactive properties in gray color)
* Framework to simplify adding InfoTips
* More copy options in options dialog
* Networking support improved (speedup, context menu and properties)
* Algorithm for enabling auto async mode (both copy and compare) greatly improved
* Ftp connect dialog error reporting improved
* File copy dialog error reporting improved
* Highlight error values with red color in many dialogs
* Bookmarks folder support improved
* Toolbar support improved
* Better ACL handling/copying (NTFS file and folder permissions)
- Various UI fixes
- Bugfix: Images was not extracted under Win2k3 and WinXp64
- Bugfix: Networking does not works under Win9x
- Many bugs are fixes and some new introduced

Version 2.0.0.0 Beta
! Toolbar added (customizable only though config file)
! Program now works under Win98 and WinME (still this support was incomplete)
+ Null destination for copy (null://.) Useful for testing archives, etc.
+ UseCache ftp option now works
+ New ImageProvider plugins introduced (2 ImageProviders embedded into program)
+ Support for reparse points added (junction and mount points, symbolic links)
+ 'Open Containing Folder' command now also works on shortcuts
+ Some basic error logging added
* Set compressed attribute state for ntfs folders (not only files)
* Better search folders handling (detect changes in search folders content)
* Better and faster shortcuts handling
* Move focus to the folder after folder creation (if possible)
* Ability to enter file mask (or single file name) as copy destination
* Running files without associated program improved
* Folder reload behavior improved (delayed icon extracting, calculating folder sized, etc)
* Many controls layout changed, now dialogs scales almost perfectly when dialog font changed
- Various UI fixes
- Many bugs are fixes and some new introduced

Version 2.0.0.0 Alpha 3
! Belorusian localization added
! Russian localization added
! External tools support added (Configurable through options)
+ Ability to change UI language in options
+ Support for Dos-style Ftp List answer
+ Ftp Connect command added (Panel menu)
+ Entire Network added to Change Drive list
+ New Ftp option - Upload file name casing
+ Now path for every drive remembered within program session
+ Always open archive with Shift+Enter now works
+ Hide 'not ready' drives option added
+ Copy folder attributes and times (configurable)
+ Copy file and folder permissions and owner (NTFS only)
+ Drives button in Find dialog now works
* Show find toolstrip when you start typing in list view
* UI changes. Several new icons added and many forms layout optimized
* Icon Extraction Engine optimized
- Various UI fixes
- Many bugs are fixes and some new introduced

Version 2.0.0.0 Alpha 2
+ Ability to set Editor and Viewer from options
+ AboutDialog added
+ You can now paste virtual explorer items from clipboard (example zip folder)
+ Store items in clipboard in native format (for internal use)
+ Added ability to add any custom ToolStrip Renderer
+ Office 2007 ToolStrip Renderer added (thanks to Phil. Wright)
+ Dialog Font options are now worked, you can change for for all dialog
+ Ability to create shortcuts with drag and drop
+ Paste Shortcuts menu item are now working
+ Show images when dragging files from explorer
+ New confirmations has been added to program (and options)
+ New progress bar style on pre-Vista systems (looks like Vista progress bar)
+ Indicate operation state on progress bar (green, yellow, red)
+ Icons has been added for some menu items and dialogs
+ Prelimiary support for external tools (without confiruration)
+ Bookmarks menu added, add, organize and use bookmarks to folders
+ Ability to change ftp settings for site in properties dialog
+ New menu item "Restore selection from clipboard"
* Detect current folder (or opened archive) deleting or renaming
* Options saving optimized a bit
- Various UI fixes
- Many bugs are fixes and some new introduced
